#include "level.h"
#include "enemies.h"

/* List of maps */
extern level_map_t lv_map_demo;
extern level_map_t lv_map_1;

level_t lv_demo = {
    .map = &lv_map_demo,
};

level_t lv_1 = {
    .map = &lv_map_1,
    .wave_count = 2,
    .waves = (level_wave_t []){
        /* Wave 1: Just some slimes */
        { .enemy_count = 6,
          .enemies = (level_wave_spawn_t []){
            { ENEMY_SLIME, 1,   2,1,  fix(0.0) },
            { ENEMY_SLIME, 1,  19,9,  fix(0.5) },
            { ENEMY_SLIME, 1,   2,1,  fix(1.0) },
            { ENEMY_SLIME, 1,  19,9,  fix(1.5) },
            { ENEMY_SLIME, 2,   2,1,  fix(2.0) },
            { ENEMY_SLIME, 2,  19,9,  fix(2.5) },
        }},
        /* Wave 2: Stronger slimes and a bat */
        { .enemy_count = 4,
          .enemies = (level_wave_spawn_t []){
            { ENEMY_SLIME, 2,   2,1,  fix(0.0) },
            { ENEMY_SLIME, 2,  19,9,  fix(0.0) },
            { ENEMY_BAT,   1,   2,1,  fix(1.0) },
            { ENEMY_BAT,   1,  19,9,  fix(1.0) },
        }},
    },
};
